package com.fdage.dao.cust;

import com.fdage.pojo.TbRole;
import com.fdage.pojo.TbUser;
import com.fdage.request.RequestUser;
import com.fdage.respon.ResponUser;

import java.util.List;
import java.util.Set;

public interface TbUserMapperCust {

    TbUser findByUserName(String userName);

    List<ResponUser> findUserList(TbUser user);

    List<TbRole> roleList();

    Set<Long> findUserRoleByUserId(Long userId);

    List<String> findRoleByUserId(Long id);

}